<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CheckPaymentResponse StructType
 * @subpackage Structs
 */
class CheckPaymentResponse extends AbstractStructBase
{
    /**
     * The CheckPaymentRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CheckPaymentRS
     */
    public $CheckPaymentRS;
    /**
     * Constructor method for CheckPaymentResponse
     * @uses CheckPaymentResponse::setCheckPaymentRS()
     * @param \StructType\JP_CheckPaymentRS $checkPaymentRS
     */
    public function __construct(\StructType\JP_CheckPaymentRS $checkPaymentRS = null)
    {
        $this
            ->setCheckPaymentRS($checkPaymentRS);
    }
    /**
     * Get CheckPaymentRS value
     * @return \StructType\JP_CheckPaymentRS|null
     */
    public function getCheckPaymentRS()
    {
        return $this->CheckPaymentRS;
    }
    /**
     * Set CheckPaymentRS value
     * @param \StructType\JP_CheckPaymentRS $checkPaymentRS
     * @return \StructType\CheckPaymentResponse
     */
    public function setCheckPaymentRS(\StructType\JP_CheckPaymentRS $checkPaymentRS = null)
    {
        $this->CheckPaymentRS = $checkPaymentRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CheckPaymentResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
